wmframepic: Add version 0.1 to the repository.
[dockapps.git] / wmframepic / Makefile.in
blob6f72a26232dd74279eaafdb99fba4e7a26fe6a8c
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
16 @SET_MAKE@
17 VPATH = @srcdir@
18 pkgdatadir = $(datadir)/@PACKAGE@
19 pkgincludedir = $(includedir)/@PACKAGE@
20 pkglibdir = $(libdir)/@PACKAGE@
21 pkglibexecdir = $(libexecdir)/@PACKAGE@
22 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23 install_sh_DATA = $(install_sh) -c -m 644
24 install_sh_PROGRAM = $(install_sh) -c
25 install_sh_SCRIPT = $(install_sh) -c
26 INSTALL_HEADER = $(INSTALL_DATA)
27 transform = $(program_transform_name)
28 NORMAL_INSTALL = :
29 PRE_INSTALL = :
30 POST_INSTALL = :
31 NORMAL_UNINSTALL = :
32 PRE_UNINSTALL = :
33 POST_UNINSTALL = :
34 subdir = .
35 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36 $(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS COPYING \
37 ChangeLog INSTALL NEWS compile depcomp install-sh missing
38 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
39 am__aclocal_m4_deps = $(top_srcdir)/configure.in
40 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
41 $(ACLOCAL_M4)
42 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
43 configure.lineno config.status.lineno
44 mkinstalldirs = $(install_sh) -d
45 CONFIG_CLEAN_FILES =
46 CONFIG_CLEAN_VPATH_FILES =
47 SOURCES =
48 DIST_SOURCES =
49 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
50 html-recursive info-recursive install-data-recursive \
51 install-dvi-recursive install-exec-recursive \
52 install-html-recursive install-info-recursive \
53 install-pdf-recursive install-ps-recursive install-recursive \
54 installcheck-recursive installdirs-recursive pdf-recursive \
55 ps-recursive uninstall-recursive
56 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
57 distclean-recursive maintainer-clean-recursive
58 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
59 $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
60 distdir dist dist-all distcheck
61 ETAGS = etags
62 CTAGS = ctags
63 DIST_SUBDIRS = $(SUBDIRS)
64 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
65 distdir = $(PACKAGE)-$(VERSION)
66 top_distdir = $(distdir)
67 am__remove_distdir = \
68 { test ! -d "$(distdir)" \
69 || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
70 && rm -fr "$(distdir)"; }; }
71 am__relativize = \
72 dir0=`pwd`; \
73 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
74 sed_rest='s,^[^/]*/*,,'; \
75 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
76 sed_butlast='s,/*[^/]*$$,,'; \
77 while test -n "$$dir1"; do \
78 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
79 if test "$$first" != "."; then \
80 if test "$$first" = ".."; then \
81 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
82 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
83 else \
84 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
85 if test "$$first2" = "$$first"; then \
86 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
87 else \
88 dir2="../$$dir2"; \
89 fi; \
90 dir0="$$dir0"/"$$first"; \
91 fi; \
92 fi; \
93 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
94 done; \
95 reldir="$$dir2"
96 DIST_ARCHIVES = $(distdir).tar.gz
97 GZIP_ENV = --best
98 distuninstallcheck_listfiles = find . -type f -print
99 distcleancheck_listfiles = find . -type f -print
100 ACLOCAL = @ACLOCAL@
101 AMTAR = @AMTAR@
102 AUTOCONF = @AUTOCONF@
103 AUTOHEADER = @AUTOHEADER@
104 AUTOMAKE = @AUTOMAKE@
105 AWK = @AWK@
106 CC = @CC@
107 CCDEPMODE = @CCDEPMODE@
108 CFLAGS = @CFLAGS@
109 CPPFLAGS = @CPPFLAGS@
110 CYGPATH_W = @CYGPATH_W@
111 DEFS = @DEFS@
112 DEPDIR = @DEPDIR@
113 ECHO_C = @ECHO_C@
114 ECHO_N = @ECHO_N@
115 ECHO_T = @ECHO_T@
116 EXEEXT = @EXEEXT@
117 INSTALL = @INSTALL@
118 INSTALL_DATA = @INSTALL_DATA@
119 INSTALL_PROGRAM = @INSTALL_PROGRAM@
120 INSTALL_SCRIPT = @INSTALL_SCRIPT@
121 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
122 LDFLAGS = @LDFLAGS@
123 LIBOBJS = @LIBOBJS@
124 LIBS = @LIBS@
125 LTLIBOBJS = @LTLIBOBJS@
126 MAKEINFO = @MAKEINFO@
127 MKDIR_P = @MKDIR_P@
128 OBJEXT = @OBJEXT@
129 PACKAGE = @PACKAGE@
130 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
131 PACKAGE_NAME = @PACKAGE_NAME@
132 PACKAGE_STRING = @PACKAGE_STRING@
133 PACKAGE_TARNAME = @PACKAGE_TARNAME@
134 PACKAGE_URL = @PACKAGE_URL@
135 PACKAGE_VERSION = @PACKAGE_VERSION@
136 PATH_SEPARATOR = @PATH_SEPARATOR@
137 SET_MAKE = @SET_MAKE@
138 SHELL = @SHELL@
139 STRIP = @STRIP@
140 VERSION = @VERSION@
141 abs_builddir = @abs_builddir@
142 abs_srcdir = @abs_srcdir@
143 abs_top_builddir = @abs_top_builddir@
144 abs_top_srcdir = @abs_top_srcdir@
145 ac_ct_CC = @ac_ct_CC@
146 am__include = @am__include@
147 am__leading_dot = @am__leading_dot@
148 am__quote = @am__quote@
149 am__tar = @am__tar@
150 am__untar = @am__untar@
151 bindir = @bindir@
152 build_alias = @build_alias@
153 builddir = @builddir@
154 datadir = @datadir@
155 datarootdir = @datarootdir@
156 docdir = @docdir@
157 dvidir = @dvidir@
158 exec_prefix = @exec_prefix@
159 host_alias = @host_alias@
160 htmldir = @htmldir@
161 includedir = @includedir@
162 infodir = @infodir@
163 install_sh = @install_sh@
164 libdir = @libdir@
165 libexecdir = @libexecdir@
166 localedir = @localedir@
167 localstatedir = @localstatedir@
168 mandir = @mandir@
169 mkdir_p = @mkdir_p@
170 oldincludedir = @oldincludedir@
171 pdfdir = @pdfdir@
172 prefix = @prefix@
173 program_transform_name = @program_transform_name@
174 psdir = @psdir@
175 sbindir = @sbindir@
176 sharedstatedir = @sharedstatedir@
177 srcdir = @srcdir@
178 sysconfdir = @sysconfdir@
179 target_alias = @target_alias@
180 top_build_prefix = @top_build_prefix@
181 top_builddir = @top_builddir@
182 top_srcdir = @top_srcdir@
183 SUBDIRS = src
184 all: all-recursive
186 .SUFFIXES:
187 am--refresh:
189 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
190 @for dep in $?; do \
191 case '$(am__configure_deps)' in \
192 *$$dep*) \
193 echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
194 $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
195 && exit 0; \
196 exit 1;; \
197 esac; \
198 done; \
199 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
200 $(am__cd) $(top_srcdir) && \
201 $(AUTOMAKE) --gnu Makefile
202 .PRECIOUS: Makefile
203 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
204 @case '$?' in \
205 *config.status*) \
206 echo ' $(SHELL) ./config.status'; \
207 $(SHELL) ./config.status;; \
208 *) \
209 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
210 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
211 esac;
213 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
214 $(SHELL) ./config.status --recheck
216 $(top_srcdir)/configure: $(am__configure_deps)
217 $(am__cd) $(srcdir) && $(AUTOCONF)
218 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
219 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
220 $(am__aclocal_m4_deps):
222 # This directory's subdirectories are mostly independent; you can cd
223 # into them and run `make' without going through this Makefile.
224 # To change the values of `make' variables: instead of editing Makefiles,
225 # (1) if the variable is set in `config.status', edit `config.status'
226 # (which will cause the Makefiles to be regenerated when you run `make');
227 # (2) otherwise, pass the desired values on the `make' command line.
228 $(RECURSIVE_TARGETS):
229 @fail= failcom='exit 1'; \
230 for f in x $$MAKEFLAGS; do \
231 case $$f in \
232 *=* | --[!k]*);; \
233 *k*) failcom='fail=yes';; \
234 esac; \
235 done; \
236 dot_seen=no; \
237 target=`echo $@ | sed s/-recursive//`; \
238 list='$(SUBDIRS)'; for subdir in $$list; do \
239 echo "Making $$target in $$subdir"; \
240 if test "$$subdir" = "."; then \
241 dot_seen=yes; \
242 local_target="$$target-am"; \
243 else \
244 local_target="$$target"; \
245 fi; \
246 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
247 || eval $$failcom; \
248 done; \
249 if test "$$dot_seen" = "no"; then \
250 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
251 fi; test -z "$$fail"
253 $(RECURSIVE_CLEAN_TARGETS):
254 @fail= failcom='exit 1'; \
255 for f in x $$MAKEFLAGS; do \
256 case $$f in \
257 *=* | --[!k]*);; \
258 *k*) failcom='fail=yes';; \
259 esac; \
260 done; \
261 dot_seen=no; \
262 case "$@" in \
263 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
264 *) list='$(SUBDIRS)' ;; \
265 esac; \
266 rev=''; for subdir in $$list; do \
267 if test "$$subdir" = "."; then :; else \
268 rev="$$subdir $$rev"; \
269 fi; \
270 done; \
271 rev="$$rev ."; \
272 target=`echo $@ | sed s/-recursive//`; \
273 for subdir in $$rev; do \
274 echo "Making $$target in $$subdir"; \
275 if test "$$subdir" = "."; then \
276 local_target="$$target-am"; \
277 else \
278 local_target="$$target"; \
279 fi; \
280 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
281 || eval $$failcom; \
282 done && test -z "$$fail"
283 tags-recursive:
284 list='$(SUBDIRS)'; for subdir in $$list; do \
285 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
286 done
287 ctags-recursive:
288 list='$(SUBDIRS)'; for subdir in $$list; do \
289 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
290 done
292 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
293 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
294 unique=`for i in $$list; do \
295 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
296 done | \
297 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
298 END { if (nonempty) { for (i in files) print i; }; }'`; \
299 mkid -fID $$unique
300 tags: TAGS
302 TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
303 $(TAGS_FILES) $(LISP)
304 set x; \
305 here=`pwd`; \
306 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
307 include_option=--etags-include; \
308 empty_fix=.; \
309 else \
310 include_option=--include; \
311 empty_fix=; \
312 fi; \
313 list='$(SUBDIRS)'; for subdir in $$list; do \
314 if test "$$subdir" = .; then :; else \
315 test ! -f $$subdir/TAGS || \
316 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
317 fi; \
318 done; \
319 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
320 unique=`for i in $$list; do \
321 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
322 done | \
323 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
324 END { if (nonempty) { for (i in files) print i; }; }'`; \
325 shift; \
326 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
327 test -n "$$unique" || unique=$$empty_fix; \
328 if test $$# -gt 0; then \
329 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
330 "$$@" $$unique; \
331 else \
332 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
333 $$unique; \
334 fi; \
336 ctags: CTAGS
337 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
338 $(TAGS_FILES) $(LISP)
339 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
340 unique=`for i in $$list; do \
341 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
342 done | \
343 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
344 END { if (nonempty) { for (i in files) print i; }; }'`; \
345 test -z "$(CTAGS_ARGS)$$unique" \
346 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
347 $$unique
349 GTAGS:
350 here=`$(am__cd) $(top_builddir) && pwd` \
351 && $(am__cd) $(top_srcdir) \
352 && gtags -i $(GTAGS_ARGS) "$$here"
354 distclean-tags:
355 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
357 distdir: $(DISTFILES)
358 $(am__remove_distdir)
359 test -d "$(distdir)" || mkdir "$(distdir)"
360 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
361 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
362 list='$(DISTFILES)'; \
363 dist_files=`for file in $$list; do echo $$file; done | \
364 sed -e "s|^$$srcdirstrip/||;t" \
365 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
366 case $$dist_files in \
367 */*) $(MKDIR_P) `echo "$$dist_files" | \
368 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
369 sort -u` ;; \
370 esac; \
371 for file in $$dist_files; do \
372 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
373 if test -d $$d/$$file; then \
374 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
375 if test -d "$(distdir)/$$file"; then \
376 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
377 fi; \
378 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
379 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
380 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
381 fi; \
382 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
383 else \
384 test -f "$(distdir)/$$file" \
385 || cp -p $$d/$$file "$(distdir)/$$file" \
386 || exit 1; \
387 fi; \
388 done
389 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
390 if test "$$subdir" = .; then :; else \
391 test -d "$(distdir)/$$subdir" \
392 || $(MKDIR_P) "$(distdir)/$$subdir" \
393 || exit 1; \
394 fi; \
395 done
396 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
397 if test "$$subdir" = .; then :; else \
398 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
399 $(am__relativize); \
400 new_distdir=$$reldir; \
401 dir1=$$subdir; dir2="$(top_distdir)"; \
402 $(am__relativize); \
403 new_top_distdir=$$reldir; \
404 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
405 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
406 ($(am__cd) $$subdir && \
407 $(MAKE) $(AM_MAKEFLAGS) \
408 top_distdir="$$new_top_distdir" \
409 distdir="$$new_distdir" \
410 am__remove_distdir=: \
411 am__skip_length_check=: \
412 am__skip_mode_fix=: \
413 distdir) \
414 || exit 1; \
415 fi; \
416 done
417 -test -n "$(am__skip_mode_fix)" \
418 || find "$(distdir)" -type d ! -perm -755 \
419 -exec chmod u+rwx,go+rx {} \; -o \
420 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
421 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
422 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
423 || chmod -R a+r "$(distdir)"
424 dist-gzip: distdir
425 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
426 $(am__remove_distdir)
428 dist-bzip2: distdir
429 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
430 $(am__remove_distdir)
432 dist-lzma: distdir
433 tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
434 $(am__remove_distdir)
436 dist-xz: distdir
437 tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
438 $(am__remove_distdir)
440 dist-tarZ: distdir
441 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
442 $(am__remove_distdir)
444 dist-shar: distdir
445 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
446 $(am__remove_distdir)
448 dist-zip: distdir
449 -rm -f $(distdir).zip
450 zip -rq $(distdir).zip $(distdir)
451 $(am__remove_distdir)
453 dist dist-all: distdir
454 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
455 $(am__remove_distdir)
457 # This target untars the dist file and tries a VPATH configuration. Then
458 # it guarantees that the distribution is self-contained by making another
459 # tarfile.
460 distcheck: dist
461 case '$(DIST_ARCHIVES)' in \
462 *.tar.gz*) \
463 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
464 *.tar.bz2*) \
465 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
466 *.tar.lzma*) \
467 lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
468 *.tar.xz*) \
469 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
470 *.tar.Z*) \
471 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
472 *.shar.gz*) \
473 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
474 *.zip*) \
475 unzip $(distdir).zip ;;\
476 esac
477 chmod -R a-w $(distdir); chmod a+w $(distdir)
478 mkdir $(distdir)/_build
479 mkdir $(distdir)/_inst
480 chmod a-w $(distdir)
481 test -d $(distdir)/_build || exit 0; \
482 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
483 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
484 && am__cwd=`pwd` \
485 && $(am__cd) $(distdir)/_build \
486 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
487 $(DISTCHECK_CONFIGURE_FLAGS) \
488 && $(MAKE) $(AM_MAKEFLAGS) \
489 && $(MAKE) $(AM_MAKEFLAGS) dvi \
490 && $(MAKE) $(AM_MAKEFLAGS) check \
491 && $(MAKE) $(AM_MAKEFLAGS) install \
492 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
493 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
494 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
495 distuninstallcheck \
496 && chmod -R a-w "$$dc_install_base" \
497 && ({ \
498 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
499 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
500 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
501 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
502 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
503 } || { rm -rf "$$dc_destdir"; exit 1; }) \
504 && rm -rf "$$dc_destdir" \
505 && $(MAKE) $(AM_MAKEFLAGS) dist \
506 && rm -rf $(DIST_ARCHIVES) \
507 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
508 && cd "$$am__cwd" \
509 || exit 1
510 $(am__remove_distdir)
511 @(echo "$(distdir) archives ready for distribution: "; \
512 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
513 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
514 distuninstallcheck:
515 @$(am__cd) '$(distuninstallcheck_dir)' \
516 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
517 || { echo "ERROR: files left after uninstall:" ; \
518 if test -n "$(DESTDIR)"; then \
519 echo " (check DESTDIR support)"; \
520 fi ; \
521 $(distuninstallcheck_listfiles) ; \
522 exit 1; } >&2
523 distcleancheck: distclean
524 @if test '$(srcdir)' = . ; then \
525 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
526 exit 1 ; \
528 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
529 || { echo "ERROR: files left in build directory after distclean:" ; \
530 $(distcleancheck_listfiles) ; \
531 exit 1; } >&2
532 check-am: all-am
533 check: check-recursive
534 all-am: Makefile
535 installdirs: installdirs-recursive
536 installdirs-am:
537 install: install-recursive
538 install-exec: install-exec-recursive
539 install-data: install-data-recursive
540 uninstall: uninstall-recursive
542 install-am: all-am
543 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
545 installcheck: installcheck-recursive
546 install-strip:
547 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
548 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
549 `test -z '$(STRIP)' || \
550 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
551 mostlyclean-generic:
553 clean-generic:
555 distclean-generic:
556 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
557 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
559 maintainer-clean-generic:
560 @echo "This command is intended for maintainers to use"
561 @echo "it deletes files that may require special tools to rebuild."
562 clean: clean-recursive
564 clean-am: clean-generic mostlyclean-am
566 distclean: distclean-recursive
567 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
568 -rm -f Makefile
569 distclean-am: clean-am distclean-generic distclean-tags
571 dvi: dvi-recursive
573 dvi-am:
575 html: html-recursive
577 html-am:
579 info: info-recursive
581 info-am:
583 install-data-am:
585 install-dvi: install-dvi-recursive
587 install-dvi-am:
589 install-exec-am:
591 install-html: install-html-recursive
593 install-html-am:
595 install-info: install-info-recursive
597 install-info-am:
599 install-man:
601 install-pdf: install-pdf-recursive
603 install-pdf-am:
605 install-ps: install-ps-recursive
607 install-ps-am:
609 installcheck-am:
611 maintainer-clean: maintainer-clean-recursive
612 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
613 -rm -rf $(top_srcdir)/autom4te.cache
614 -rm -f Makefile
615 maintainer-clean-am: distclean-am maintainer-clean-generic
617 mostlyclean: mostlyclean-recursive
619 mostlyclean-am: mostlyclean-generic
621 pdf: pdf-recursive
623 pdf-am:
625 ps: ps-recursive
627 ps-am:
629 uninstall-am:
631 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
632 install-am install-strip tags-recursive
634 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
635 all all-am am--refresh check check-am clean clean-generic \
636 ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
637 dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
638 distclean distclean-generic distclean-tags distcleancheck \
639 distdir distuninstallcheck dvi dvi-am html html-am info \
640 info-am install install-am install-data install-data-am \
641 install-dvi install-dvi-am install-exec install-exec-am \
642 install-html install-html-am install-info install-info-am \
643 install-man install-pdf install-pdf-am install-ps \
644 install-ps-am install-strip installcheck installcheck-am \
645 installdirs installdirs-am maintainer-clean \
646 maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
647 pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
650 # Tell versions [3.59,3.63) of GNU make to not export all variables.
651 # Otherwise a system limit (for SysV at least) may be exceeded.
652 .NOEXPORT: